Subject: Ticket Assigned - Article Feedback - When will you pick up the products I want to return?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Mon, 16 May 2022 04:28:30 +0000

Hi Reenad Alosaimi,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - When will you pick up the products I want to return? Feedback for:  When will you pick up the products I want to return? I have reqused for retun of particular products i have not recvied any one to take back the procudt from me https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4349119